3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception("ex1"); } finally { try { throw new Exception("ex2"); } catch (Exception $e) { echo "caught exception with message: {$e->getMessage()}\n"; } echo "done."; } } foo();
based on uZdih
Output for 7.0.0 - 7.2.0
caught exception with message: ex2 done. Fatal error: Uncaught Exception: ex1 in /in/8H2YF:5 Stack trace: #0 /in/8H2YF(15): foo() #1 {main} thrown in /in/8H2YF on line 5
Process exited with code 255.
Output for 5.6.7 - 5.6.28
caught exception with message: ex2 done. Fatal error: Uncaught exception 'Exception' with message 'ex1' in /in/8H2YF:5 Stack trace: #0 /in/8H2YF(15): foo() #1 {main} thrown in /in/8H2YF on line 5
Process exited with code 255.
Output for 5.5.24 - 5.5.35
caught exception with message: ex2 done.
Output for 5.4.2 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/8H2YF on line 6
Process exited with code 255.
Output for 5.3.17 - 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/8H2YF on line 6
Process exited with code 255.